using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.HM;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.PR
{
    [Description("滑坡滚石监控处理附件表")]
    public class T_PR_LANDSLIDE_ROLLSTONE_MONITOR_FILE : MesEntityBase
    {
        [Description("滑坡滚石记录ID")]
        [DataFieldForeignKey("Nav_RollStone", "Nav_Files")]
        public Guid LANDSLIDE_ROLLSTONE_MONITOR_ID { get; set; }

        [Description("导航属性：滑坡滚石监控处理记录表")]
        public virtual T_PR_LANDSLIDE_ROLLSTONE_MONITOR Nav_RollStone { get; set; }

        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid? IMG_FILE_ID { get; set; }

        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
